Package com.smartgwt.client.widgets.ace

# Class AceRange

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.widgets.ace.AceRange

All Implemented Interfaces:
  `HasHandlers`

public class AceRange extends BaseClass
Internal use only.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AceRange()`
  `AceRange(JavaScriptObject jsObj)`
  `AceRange(AcePosition start, AcePosition end)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AceRange`
  `clone()`
  Internal use only.
  `Integer`
  `compare(Integer row, Integer column)`
  Internal use only.
  `Integer`
  `compareInside(Integer row, Integer column)`
  Internal use only.
  `Integer`
  `comparePoint(AcePosition position)`
  Internal use only.
  `Integer`
  `comparePosition(AcePosition position)`
  Internal use only.
  `Integer`
  `compareRange(AceRange range)`
  Internal use only.
  `boolean`
  `contains(Integer row, Integer column)`
  Internal use only.
  `boolean`
  `containsRange(AceRange range)`
  Internal use only.
  `JavaScriptObject`
  `create()`
  `AceRange`
  `extend(Integer row, Integer column)`
  Internal use only.
  `AceRange`
  `fromPoints(AcePosition startPosition, AcePosition endPosition)`
  Internal use only.
  `AceRange`
  `fromPosition(AcePosition startPosition, AcePosition endPosition)`
  Internal use only.
  `AcePosition`
  `getEnd()`
  Internal use only.
  `JavaScriptObject`
  `getJsObj()`
  `JavaScriptObject`
  `getOrCreateJsObj()`
  `static AceRange`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `AcePosition`
  `getStart()`
  Internal use only.
  `Boolean`
  `inside(Integer row, Integer column)`
  Internal use only.
  `boolean`
  `isCreated()`
  `boolean`
  `isEqual(AceRange range)`
  Internal use only.
  `boolean`
  `isMultiLine()`
  Internal use only.
  `AceRange`
  `setEnd(AcePosition end)`
  Internal use only.
  `void`
  `setJavaScriptObject(JavaScriptObject jsObj)`
  `AceRange`
  `setStart(AcePosition start)`
  Internal use only.
  `String`
  `toString()`
  Internal use only.

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoID, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AceRange

    public AceRange()

  - ### AceRange

    public AceRange(JavaScriptObject jsObj)

  - ### AceRange

    public AceRange(AcePosition start, AcePosition end)

- ## Method Details

  - ### getOrCreateRef

    public static AceRange getOrCreateRef(JavaScriptObject jsObj)

  - ### setJavaScriptObject

    public void setJavaScriptObject(JavaScriptObject jsObj)
    Overrides:
      `setJavaScriptObject` in class `BaseClass`

  - ### create

    public JavaScriptObject create()
    Specified by:
      `create` in class `BaseClass`

  - ### isCreated

    public boolean isCreated()
    Overrides:
      `isCreated` in class `BaseClass`

  - ### getJsObj

    public JavaScriptObject getJsObj()
    Overrides:
      `getJsObj` in class `BaseClass`

  - ### getOrCreateJsObj

    public JavaScriptObject getOrCreateJsObj()
    Overrides:
      `getOrCreateJsObj` in class `BaseClass`

  - ### setEnd

    public AceRange setEnd(AcePosition end)
    Internal use only.

  - ### getEnd

    public AcePosition getEnd()
    Internal use only.

  - ### setStart

    public AceRange setStart(AcePosition start)
    Internal use only.

  - ### getStart

    public AcePosition getStart()
    Internal use only.

  - ### clone

    public AceRange clone()
    Internal use only.
    Overrides:
      `clone` in class `Object`

  - ### compare

    public Integer compare(Integer row, Integer column)
    Internal use only.

  - ### compareInside

    public Integer compareInside(Integer row, Integer column)
    Internal use only.

  - ### comparePoint

    public Integer comparePoint(AcePosition position)
    Internal use only.

  - ### comparePosition

    public Integer comparePosition(AcePosition position)
    Internal use only.

  - ### compareRange

    public Integer compareRange(AceRange range)
    Internal use only.

  - ### contains

    public boolean contains(Integer row, Integer column)
    Internal use only.

  - ### containsRange

    public boolean containsRange(AceRange range)
    Internal use only.

  - ### extend

    public AceRange extend(Integer row, Integer column)
    Internal use only.

  - ### fromPoints

    public AceRange fromPoints(AcePosition startPosition, AcePosition endPosition)
    Internal use only.

  - ### fromPosition

    public AceRange fromPosition(AcePosition startPosition, AcePosition endPosition)
    Internal use only.

  - ### inside

    public Boolean inside(Integer row, Integer column)
    Internal use only.

  - ### isEqual

    public boolean isEqual(AceRange range)
    Internal use only.

  - ### isMultiLine

    public boolean isMultiLine()
    Internal use only.

  - ### toString

    public String toString()
    Internal use only.
    Overrides:
      `toString` in class `Object`